> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verwijder Monitor

> Soft-verwijdert een monitor en verwijdert de gerelateerde plannings-/schaduw-agent resources.



## OpenAPI

````yaml nl/openapi/monitors.json DELETE /v1/monitors/{monitor_id}
openapi: 3.0.3
info:
  title: Monitors API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/monitors/{monitor_id}:
    delete:
      summary: Verwijder Monitor
      description: >-
        Verwijdert de monitor zachtjes (`status: deleted`) en verwijdert het
        schema en de schaduwagentrij.
      parameters:
        - name: monitor_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^monitor_
      responses:
        '200':
          description: Monitor verwijderd.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  monitor_id:
                    type: string
        '400':
          description: Ongeldige monitor_id of al verwijderd.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Ongeldige API-sleutel.
        '404':
          description: Monitor niet gevonden.
        '500':
          description: Interne serverfout.
      security:
        - Authorization: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        monitor_id:
          type: string
          description: Aanwezig bij sommige foutreacties bij aanmaken/bijwerken.
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Bearer authenticatie header in de vorm Bearer <token>, waar <token> jouw
        auth token is.

````